#ifdef APKENV_OPENSLES
#include "OpenSLES_wrappers.h"
#include <assert.h>
#ifdef APKENV_DEBUG
#  define WRAPPERS_DEBUG_PRINTF(...) printf(__VA_ARGS__)
#else
#  define WRAPPERS_DEBUG_PRINTF(...)
#endif
SLresult
my_slCreateEngine(SLObjectItf *pEngine, SLuint32 numOptions, const SLEngineOption *pEngineOptions, SLuint32 numInterfaces, const SLInterfaceID *pInterfaceIds, const SLboolean *pInterfaceRequired)
{
    WRAPPERS_DEBUG_PRINTF("slCreateEngine()\n", pEngine, numOptions, pEngineOptions, numInterfaces, pInterfaceIds, pInterfaceRequired);
    return slCreateEngine(pEngine, numOptions, pEngineOptions, numInterfaces, pInterfaceIds, pInterfaceRequired);
}
SLresult
my_slQueryNumSupportedEngineInterfaces(SLuint32 *pNumSupportedInterfaces)
{
    WRAPPERS_DEBUG_PRINTF("slQueryNumSupportedEngineInterfaces()\n", pNumSupportedInterfaces);
    return slQueryNumSupportedEngineInterfaces(pNumSupportedInterfaces);
}
SLresult
my_slQuerySupportedEngineInterfaces(SLuint32 index, SLInterfaceID *pInterfaceId)
{
    WRAPPERS_DEBUG_PRINTF("slQuerySupportedEngineInterfaces()\n", index, pInterfaceId);
    return slQuerySupportedEngineInterfaces(index, pInterfaceId);
}
#endif /* APKENV_OPENSLES */
